### Method

# Ide Workbench unload_async

#### Declaration

    void
    ide_workbench_unload_async (
      IdeWorkbench* self,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Asynchronously unloads the workbench.

All `IdeWorkspace` windows will be closed after calling this function.

Available since: | 3.32

#### Parameters

`cancellable` | `GCancellable`
| A `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A `GAsyncReadyCallback` to execute upon completion.
| The argument can be `NULL`.
`user_data` | `gpointer`
| Closure data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.